package cn.com.origin.autocodemanager.common.progress;

import java.util.EventListener;

/**
 * 进度条监听器
 */
public interface ProgressBarListener extends EventListener {

	/**
	 * 当点了"取消"按钮时,触发该方法
	 */
	public void canceled(ProgressBarEvent event);
	
	/**
	 * 当下载完成时,触发该方法
	 * @param event
	 */
	public void completed(ProgressBarEvent event);
}
